Bug 599120 - Timeline shows "null" conditions for alerts
Summary: Timeline shows "null" conditions for alerts
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Core UI   
(Show other bugs)
Version: 3.0.0
Hardware: All
OS: Linux
medium
low vote
Target Milestone: ---
: ---
Assignee: Heiko W. Rupp
QA Contact: Corey Welton
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: jon-sprint11-bugs
TreeView+ depends on / blocked
 
Reported: 2010-06-02 17:40 UTC by Lukas Krejci
Modified: 2010-08-12 16:56 UTC (History)
2 users (show)

Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 16:56:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
timeline alert detail (44.96 KB, image/png)
2010-06-02 17:40 UTC, Lukas Krejci
no flags Details
screenshot (110.54 KB, image/png)
2010-06-14 10:29 UTC, Rajan Timaniya
no flags Details

Description Lukas Krejci 2010-06-02 17:40:36 UTC
Created attachment 419110 [details]
timeline alert detail

Description of problem:

When an alert is clicked on a resource timeline, a popup appears with the details of the alert. These details contain apparently incorrect entries. See screenshot.

How reproducible:
always

Steps to Reproduce:
1. Define an alert on a resource, let it fire
2. Look at the resource's timeline
3. Locate the alert on the timeline and click on it to view the detail popup
  
Actual results:
The details popup shows the details of the alert but some of the data seems incorrect.

Expected results:
The details popup shows only the correct data.

Comment 1 Heiko W. Rupp 2010-06-14 09:31:35 UTC
This is not a real bug, as the condition is "value has changed" has a threshold (= value to compare) of null,
which is shown here (one could put a better message or the old value).

If you put a condition of "Free memory < 20 MB", then you will see the real values.

Comment 2 Rajan Timaniya 2010-06-14 10:28:58 UTC
Verified on JON 2.4Beta1

1) Define an alert on JBossAS (alert condition is 'Free memory > 0.1')
2) Look at the resource's timeline
3) Locate the alert on the timeline and click on it to view the detail popup

The details popup shows correct data.

Comment 3 Rajan Timaniya 2010-06-14 10:29:38 UTC
Created attachment 423786 [details]
screenshot

Comment 4 Corey Welton 2010-08-12 16:56:27 UTC
Mass-closure of verified bugs against JON.


Note You need to log in before you can comment on or make changes to this bug.